List specs
Spec file health metrics: flakiness, duration, and pass rate.
GET
List spec file health metrics
Path Parameters
Query Parameters
Last modified on August 13, 2026
List spec file health metrics
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Spec file health metrics: flakiness, duration, and pass rate.
curl --request GET \
--url https://api.testdino.com/api/v1/public/{projectId}/specs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.testdino.com/api/v1/public/{projectId}/specs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.testdino.com/api/v1/public/{projectId}/specs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.testdino.com/api/v1/public/{projectId}/specs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.testdino.com/api/v1/public/{projectId}/specs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.testdino.com/api/v1/public/{projectId}/specs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.testdino.com/api/v1/public/{projectId}/specs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": [
{}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"hasNext": true,
"hasPrev": true
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or unknown user PAT"
}
}Was this page helpful?
curl --request GET \
--url https://api.testdino.com/api/v1/public/{projectId}/specs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.testdino.com/api/v1/public/{projectId}/specs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.testdino.com/api/v1/public/{projectId}/specs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.testdino.com/api/v1/public/{projectId}/specs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.testdino.com/api/v1/public/{projectId}/specs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.testdino.com/api/v1/public/{projectId}/specs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.testdino.com/api/v1/public/{projectId}/specs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": [
{}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"hasNext": true,
"hasPrev": true
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or unknown user PAT"
}
}